/*  gMOO
 *  Copyright (C) 1999  Gert Scholten
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
#ifndef gM_from_val_h
#define gM_from_val_h

#define TYPE_EMPTY -1
#define TYPE_INT    0
#define TYPE_FLOAT  1
#define TYPE_STRING 2
#define TYPE_OBJ    3
#define TYPE_LIST   4
#define TYPE_ERROR  5


/* Parses a MOO toliteral() string to a (set of) var structure(s)
   returns NULL on error */
var  *str_to_var(char *s);
/* Same makes a printf_able string from the structs */
char *var_to_str(var  *v);

var *var_malloc();
void var_free(var *v);


/* for debug puroses only */
void gM_var_print(var *v);

#endif
