/*  gMOO
 *  Copyright (C) 1999  Gert Scholten
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef gM_help_h
#define gM_help_h

void gM_help_show_about();
void gM_help_show_about_world(world *w);
void gM_help_show_index();
void gM_help_show_config_info();

void gM_help_show_new_and_properties();
void gM_help_show_open();

void gM_help_show_pref_history();
void gM_help_show_pref_logs();
void gM_help_show_pref_beeptype();
void gM_help_show_pref_visuals();
void gM_help_show_pref_window();
void gM_help_show_pref_worldhandling();
void gM_help_show_pref_tabs();
void gM_help_show_pref_keypad();
void gM_help_show_pref_fonts();
void gM_help_show_pref_dcolors();
void gM_help_show_pref_autoindent();
void gM_help_show_pref_ecolors();
void gM_help_show_pref_tcl();
void gM_help_show_pref_externals();


void gM_help_show_find();
void gM_help_show_replace();
void gM_help_show_goto();

void gM_help_show_send();

void gM_help_show_keyboard();

void gM_help_show_connect();

void gM_help_show_triggers();

#endif
