/*  gMOO
 *  Copyright (C) 1999  Gert Scholten
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef gM_tcl_h
#define gM_tcl_h

#include "global_vars.h"

#ifdef TCL

#include <tcl.h>

/* Tcl global vars: */
Tcl_Interp *master_interp;

/* Tcl public functions: */
void gM_script_init(char *appname);
void gM_script_exit();

void gM_script_init_for(world *w);

int gM_script_idle_func(void *pointer);

void gM_script_do_eval(world *w, char *s);
void gM_script_eval_script(world *w, char *script);

void gM_script_do_macro(world *w, char *s);

#endif /* TCL */

#endif /* gM_tcl_h */
