/*  gMOO
 *  Copyright (C) 1999  Gert Scholten
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef gM_TRIGGERS_H
#define gM_TRIGGERS_H

void gM_triggers_load();

void gM_triggers_show_dialog();

int  gM_triggers_check(world *w, char *line, int len);

void gM_triggers_get_color(int trig,
                           gushort *fgr, gushort *fgg, gushort *fgb,
                           gushort *bgr, gushort *bgg, gushort *bgb,
                           int *flags);
void gM_triggers_run(world *w, trigger_data *tdata);

/* chars that will be used for start and end */
#define T_START 1
#define T_END   2

#define T_F_FG  1
#define T_F_BG  2

#endif
