/*  gMOO
 *  Copyright (C) 1999  Gert Scholten
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef gM_userlist_h
#define gM_userlist_h

/* Userlist pixmaps: */
GdkPixmap *userlistpix[4];
GdkBitmap *userlistmask[4];
#define UNKNOWN  0
#define IDLE     1
#define AWAY     2
#define IDLEAWAY 3

void gM_userlist_init(world *w);

void gM_userlist_free(mcpuserlist *ul);
void gM_userlist_do_icons(mcpuserlist *ul, char *data);
void gM_userlist_do_fields(mcpuserlist *ul, char *data);
void gM_userlist_do_users(world *w, char *data);

void gM_userlist_show(world *w);
void gM_userlist_hide(world *w);

void gM_userlist_toggle(GtkWidget *ulmenu, void *pointer);

void gM_userlist_player_obj(mcpuserlist *ul, char *data);
void gM_userlist_friends(mcpuserlist *ul, char *data);
void gM_userlist_add_menu(mcpuserlist *ul, char *data);
    
#endif

