/*  gMOO
 *  Copyright (C) 1999  Gert Scholten
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef window_h
#define window_h

void gM_window_create();
void gM_window_add_world(world *w);
void gM_window_add_editor(editor *e);

world *gM_window_get_current_world();
world *gM_window_get_current_editor_world();

void gM_window_update_discon(world *w);

GtkWidget *main_window; 
GtkWidget *notebook;

GtkWidget *worldmenu;
GtkWidget *disconmenu;
GtkWidget *userlistmenu;

GtkWidget *tb_prop;
GtkWidget *tb_discon;
GtkWidget *tb_close;
GtkWidget *tb_send;
GtkWidget *tb_userlist;
GtkWidget *tb_editsend;
GtkWidget *tb_editsendclose;
GtkWidget *tb_editclose;
GtkWidget *tb_editsave;
GtkWidget *tb_editopen;
GtkWidget *tb_editsyntax;
GtkWidget *tb_editfind;
GtkWidget *tb_editreplace;
GtkWidget *tb_editagain;
GtkWidget *tb_editgoto;
GtkWidget *tb_linenum;

GtkWidget *editmenu;
GtkWidget *searchmenu;
GtkWidget *findmenu;

GtkWidget *toolbar;
GtkWidget *toolbarhandle;
GtkWidget *edittoolbar;
GtkWidget *edittoolbarhandle;
GtkWidget *statusbar;
GtkWidget *clockbar;
GtkWidget *clockframe;

int syntaxhlsignal;
int userlistsignal;

#endif
