/*  gMOO
 *  Copyright (C) 1999  Gert Scholten
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef gM_do_scripts_h
#define gM_do_scripts_h

#include "global_vars.h"

#ifdef TCL

#include "structs.h"

/* flags */
#define FLAG_RAW  1
#define FLAG_N    2
/* msgbox */

GdkPixmap *msgboxpix[4];
GdkBitmap *msgboxmask[4];
#define ICON_ERROR       0
#define ICON_QUESTION    1
#define ICON_WARNING     2
#define ICON_INFORMATION 3

#define FLAG_ERROR            1
#define FLAG_QUESTION         2
#define FLAG_WARNING          4
#define FLAG_INFORMATION      8
#define FLAG_ABORTRETRYIGNORE 16
#define FLAG_OK               32
#define FLAG_OKCANCEL         64
#define FLAG_RETRYCANCEL      128
#define FLAG_YESNO            256
#define FLAG_YESNOCANCEL      512
#define FLAG_DEF0             1024
#define FLAG_DEF1             2048
#define FLAG_DEF2             4096
/* inputbox */
#define FLAG_INT     1
#define FLAG_STRING  2

void do_C_tell  (world *w,     char *text, int flags);
void do_C_msg   (world *w,     char *text, int flags);
void do_C_send  (world *w,     char *text, int flags);
int  do_C_msgbox(char  *title, char *text, int flags);
int  do_C_input (char  *title, char *desc, char *deftext, int flags,
                 int  *retint, char **retstr); /* retstr will be malloc()ed */

#endif /* TCL */

#endif /* gM_do_scripts_h */
