/*  gMOO
 *  Copyright (C) 1999  Gert Scholten
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef gM_EDITOR_H
#define gM_EDITOR_H

int  gM_editor_new(world *w, char *verbname, char *upload);
void gM_editor_new_mcp(world *w, mcpsimpleedit *se);

void gM_editor_add(editor *e, char *s, int len);
void gM_editor_data_received(editor *e);

int  gM_editor_close(editor *e);

void gM_editor_handle_menu(GtkWidget *menuitem, int option);
GtkWidget *syntaxmenu;
GtkWidget *syntaxbut;
void gM_editor_do_syntax(GtkWidget *but, void *pointer);

#define SEND      0
#define SENDCLOSE 1
#define CLOSE     2
#define SAVE      3
#define OPEN      4
#define SYNTAX    5

#define FIND      6
#define REPLACE   7
#define AGAIN     8
#define GOTOLINE  9

#endif

